summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rw-r--r--tests/Makefile.am1
-rwxr-xr-xtests/misc/stat-mount31
2 files changed, 32 insertions, 0 deletions
diff --git a/tests/Makefile.am b/tests/Makefile.am
index 4aa93bf9e..5619d0b76 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -241,6 +241,7 @@ TESTS = \
misc/split-l \
misc/stat-fmt \
misc/stat-hyphen \
+ misc/stat-mount \
misc/stat-printf \
misc/stat-slash \
misc/stdbuf \
diff --git a/tests/misc/stat-mount b/tests/misc/stat-mount
new file mode 100755
index 000000000..c1c43d49c
--- /dev/null
+++ b/tests/misc/stat-mount
@@ -0,0 +1,31 @@
+#!/bin/sh
+# Test stat -c%m
+
+# Copyright (C) 2010 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+# Note we assume that the current directory is not bind mounted
+# (as then, stat and df may have different results).
+# This should be the case given the directory is temporary
+# for the duration of the test.
+
+df_mnt=$(df -P . | sed -n '2s/.* \([^ ]*$\)/\1/p')
+stat_mnt=$(stat -c%m .)
+
+test "$df_mnt" = "$stat_mnt" || fail=1
+
+Exit $fail